<?php

/**
 * - Create a category "Sticky"
 * - Use this category for sticky entries
 * - Do not publish this entries, just save them
 */

function sticky_entries($id)
{
	static $run = false;
	if (!$run && empty($_GET['blog']) && empty($_GET['category']) && empty($_GET['date']) && $_GET['page'] == 1 ) {
		$run = true;
	
		global $db;
		global $tpl;
		global $plug;
		global $config;
		global $lang;
	
		$sql = "SELECT
 *
FROM
 " . TABLE_BLOG . " e
LEFT JOIN " . TABLE_LINKS . " l ON (l.link_id = e.link_id)
LEFT JOIN " . TABLE_USER . " u ON (u.user_id = e.user_id)
WHERE
 l.link_name = 'Sticky'
ORDER BY
 e.entry_date DESC;";
		$res = $db->query($sql);
		while ($entry = $db->fetch($res) ) {
			if( !empty( $_GET['blog'] ) && !empty( $entry['entry_extended'] ) ) $entry['entry_content'] .= '<br />' . $entry['entry_extended'];
			if( empty( $_GET['blog'] ) && !empty( $entry['entry_extended'] ) ) $entry['entry_content'] .= '<br /><br /><a href="' . url( array( 'site' => 'blog', 'blog' =>  urlencode( $entry['entry_uri'] ) ) ) . '">' . $lang['entry_continue']. '</a>';
		
			if( $entry['comment_number'] == '' ) $entry['comment_number'] = '0';
		
			$tpl->fillin_array( array(
				'S_ENTRY_TITLE' => '<a href="' . url( array( 'site' => 'blog', 'blog' => urlencode( $entry['entry_uri'] ) ) ) . '">' . $plug->runfilter( 'filter_entry_title', $entry['entry_title'] ) . '</a>',
				'L_ENTRY_LINK' => url( array( 'site' => 'blog', 'blog' => urlencode( $entry['entry_uri'] ) ) ),
				'S_ENTRY_CONTENT' => $plug->runfilter( 'filter_entry_content', $entry['entry_content'] ),
				'S_ENTRY_ID' => $entry['entry_id'],
				'S_ENTRY_DATE' => strftime( $config['time_format'], time_lokal( $entry['entry_date'] ) ),
				'S_ENTRY_CATEGORY_NAME' => '<a href="' . url( array( 'site' => 'category', 'category' => urlencode( $entry['link_name'] ) ) ) . '">' . $plug->runfilter( 'filter_category_name', $entry['link_name'] ) . '</a>',
				'L_ENTRY_CATEGORY_LINK' => url( array( 'site' => 'category', 'category' => urlencode( $entry['link_name'] ) ) ),
				'S_ENTRY_USER_NAME' => $plug->runfilter( 'filter_user_name', $entry['user_name'] ),
				'S_ENTRY_USER_MAIL' => $plug->runfilter( 'filter_user_mail', $entry['user_mail']),
				'S_ENTRY_FEEDBACKNUMBERS' => '<a href="' . url(array( 'site' => 'blog', 'blog' => urlencode( $entry['entry_uri'] ) ) ) . '#comments">' . $lang['comments'] . ' (' . $entry['comment_number'] . ')</a>',
			) );
			
			$tpl->part_load( 1, __LINE__, __FILE__);
		}
	}
	
}

$plug->addhook('hook_blog_entry_output', 'sticky_entries');

?>
